Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Class NoninvertibleTransformException

    Object
      Throwable
          Exception
              TransformException
                  NoninvertibleTransformException

All Implemented Interfaces:
  Serializable

    public class NoninvertibleTransformException

extends TransformException

Thrown when `MathTransform.inverse()` is invoked but the transform can't be inverted.

Since:
  GeoAPI 1.0
See Also:
  `CoordinateOperationFactory`, Serialized Form

Constructor Summary
`NoninvertibleTransformException()` Construct an exception with no detail message.
`NoninvertibleTransformException(String message)` Construct an exception with the specified detail message.
`NoninvertibleTransformException(String message, Throwable cause)` Construct an exception with the specified detail message and cause.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoninvertibleTransformException

    public NoninvertibleTransformException()

  Construct an exception with no detail message.

### NoninvertibleTransformException

    public NoninvertibleTransformException(String message)

  Construct an exception with the specified detail message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### NoninvertibleTransformException

    public NoninvertibleTransformException(String message,
                                           Throwable cause)

  Construct an exception with the specified detail message and cause. The cause is typically an other `geom.NoninvertibleTransformException` emitted by Java2D.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable.getCause()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.